<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionDebugRod Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d58/a04886.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionDebugRod Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionDebugRod:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d58/a04886.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aeea1114230e96e240a31016e50bea4f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d58/a04886.html#aeea1114230e96e240a31016e50bea4f3">ExpansionDebugRod</a> ()</td></tr>
<tr class="separator:aeea1114230e96e240a31016e50bea4f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac02017b2738ee9e8b6296a525119c3bd"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d58/a04886.html#ac02017b2738ee9e8b6296a525119c3bd">EEInit</a> ()</td></tr>
<tr class="separator:ac02017b2738ee9e8b6296a525119c3bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5d920db0241e1b9a0fb60355111503a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d58/a04886.html#ac5d920db0241e1b9a0fb60355111503a">~ExpansionDebugRod</a> ()</td></tr>
<tr class="separator:ac5d920db0241e1b9a0fb60355111503a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11fcc05f6eb7c79ea5d1708fcfae509a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d58/a04886.html#a11fcc05f6eb7c79ea5d1708fcfae509a">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:a11fcc05f6eb7c79ea5d1708fcfae509a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade67b29ab781bae26a3468dd588feeec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d58/a04886.html#ade67b29ab781bae26a3468dd588feeec">Expansion_DrawDebugLine</a> (vector origin)</td></tr>
<tr class="separator:ade67b29ab781bae26a3468dd588feeec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:acf58534a8a9d015322bc034faff7fbf2"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d58/a04886.html#acf58534a8a9d015322bc034faff7fbf2">m_Expansion_DebugOriginX</a></td></tr>
<tr class="separator:acf58534a8a9d015322bc034faff7fbf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a972f1e2b95d8ee806414136f6ef8bc"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d58/a04886.html#a0a972f1e2b95d8ee806414136f6ef8bc">m_Expansion_DebugOriginY</a></td></tr>
<tr class="separator:a0a972f1e2b95d8ee806414136f6ef8bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c8377816724619cdebc01b212358102"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d58/a04886.html#a0c8377816724619cdebc01b212358102">m_Expansion_DebugOriginZ</a></td></tr>
<tr class="separator:a0c8377816724619cdebc01b212358102"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea8ab9cc7abf69c4e6bfa61c25b62b7a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d58/a04886.html#aea8ab9cc7abf69c4e6bfa61c25b62b7a">m_Expansion_DebugColor</a></td></tr>
<tr class="separator:aea8ab9cc7abf69c4e6bfa61c25b62b7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49742bea8116bde99d8eb37519b554ba"><td class="memItemLeft" align="right" valign="top">Shape&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d58/a04886.html#a49742bea8116bde99d8eb37519b554ba">m_Expansion_DebugLine</a></td></tr>
<tr class="separator:a49742bea8116bde99d8eb37519b554ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d9/d31/a01208.html">ExpansionDebugObjects.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d31/a01208_source.html#l00013">13</a> of file <a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aeea1114230e96e240a31016e50bea4f3" name="aeea1114230e96e240a31016e50bea4f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeea1114230e96e240a31016e50bea4f3">&#9670;&#160;</a></span>ExpansionDebugRod()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionDebugRod::ExpansionDebugRod </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d31/a01208_source.html#l00021">21</a> of file <a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a>.</p>

</div>
</div>
<a id="ac5d920db0241e1b9a0fb60355111503a" name="ac5d920db0241e1b9a0fb60355111503a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5d920db0241e1b9a0fb60355111503a">&#9670;&#160;</a></span>~ExpansionDebugRod()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionDebugRod::~ExpansionDebugRod </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d31/a01208_source.html#l00051">51</a> of file <a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac02017b2738ee9e8b6296a525119c3bd" name="ac02017b2738ee9e8b6296a525119c3bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac02017b2738ee9e8b6296a525119c3bd">&#9670;&#160;</a></span>EEInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionDebugRod::EEInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Remove physics</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d31/a01208_source.html#l00043">43</a> of file <a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a>.</p>

</div>
</div>
<a id="ade67b29ab781bae26a3468dd588feeec" name="ade67b29ab781bae26a3468dd588feeec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade67b29ab781bae26a3468dd588feeec">&#9670;&#160;</a></span>Expansion_DrawDebugLine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionDebugRod::Expansion_DrawDebugLine </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>origin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d31/a01208_source.html#l00065">65</a> of file <a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a>.</p>

</div>
</div>
<a id="a11fcc05f6eb7c79ea5d1708fcfae509a" name="a11fcc05f6eb7c79ea5d1708fcfae509a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11fcc05f6eb7c79ea5d1708fcfae509a">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionDebugRod::OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d31/a01208_source.html#l00058">58</a> of file <a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aea8ab9cc7abf69c4e6bfa61c25b62b7a" name="aea8ab9cc7abf69c4e6bfa61c25b62b7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea8ab9cc7abf69c4e6bfa61c25b62b7a">&#9670;&#160;</a></span>m_Expansion_DebugColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionDebugRod::m_Expansion_DebugColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d31/a01208_source.html#l00018">18</a> of file <a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a>.</p>

</div>
</div>
<a id="a49742bea8116bde99d8eb37519b554ba" name="a49742bea8116bde99d8eb37519b554ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49742bea8116bde99d8eb37519b554ba">&#9670;&#160;</a></span>m_Expansion_DebugLine</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Shape ExpansionDebugRod::m_Expansion_DebugLine</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d31/a01208_source.html#l00019">19</a> of file <a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a>.</p>

</div>
</div>
<a id="acf58534a8a9d015322bc034faff7fbf2" name="acf58534a8a9d015322bc034faff7fbf2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf58534a8a9d015322bc034faff7fbf2">&#9670;&#160;</a></span>m_Expansion_DebugOriginX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionDebugRod::m_Expansion_DebugOriginX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d31/a01208_source.html#l00015">15</a> of file <a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a>.</p>

</div>
</div>
<a id="a0a972f1e2b95d8ee806414136f6ef8bc" name="a0a972f1e2b95d8ee806414136f6ef8bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a972f1e2b95d8ee806414136f6ef8bc">&#9670;&#160;</a></span>m_Expansion_DebugOriginY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionDebugRod::m_Expansion_DebugOriginY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d31/a01208_source.html#l00016">16</a> of file <a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a>.</p>

</div>
</div>
<a id="a0c8377816724619cdebc01b212358102" name="a0c8377816724619cdebc01b212358102"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c8377816724619cdebc01b212358102">&#9670;&#160;</a></span>m_Expansion_DebugOriginZ</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionDebugRod::m_Expansion_DebugOriginZ</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d31/a01208_source.html#l00017">17</a> of file <a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/entities/<a class="el" href="../../d9/d31/a01208_source.html">expansiondebugobjects.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d58/a04886.html">ExpansionDebugRod</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
